Skip to main content
POST
/
api
/
v1
/
webhooks
Criar novo webhook
curl --request POST \
  --url https://api.useintegra.com.br/api/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": [
    "call.completed"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "url": "<string>",
  "secret": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API Key da organizacao (Authorization: Bearer ik_live_xxx)

Body

application/json
name
string
required

Nome identificador do webhook

Required string length: 1 - 100
url
string<uri>
required

URL HTTPS que recebera os eventos

events
enum<string>[]
required

Eventos que o webhook deve receber

Minimum array length: 1
Available options:
call.completed,
campaign.started,
campaign.completed

Response

Webhook criado. O secret so e exibido uma vez.

id
string<uuid>
required
name
string
required
url
string<uri>
required
secret
string
required

HMAC-SHA256 secret (exibido apenas uma vez)

events
string[]
required
is_active
boolean
required
created_at
string<date-time>
required